Suitcase Fusion 6 System Requirements - Extensis.com

Suitcase Fusion 6
System Requirements

Suitcase Fusion 6 has been discontinued

Information about Suitcase Fusion 6 is for reference purposes only and does not imply the availability of ongoing support.

Community support is available through the Extensis Forums.

Macintosh

Final version: 17.3.2

  • Mac® OS X® 10.6.8 through 10.11
  • 2.0 GHz or faster processor
  • 300 MB available hard drive space, plus additional space for fonts
  • 1 GB additional hard drive space for font services

    (Requirements will vary for each service; additional fonts are added automatically)

  • An Internet connection and Safari® 5 or later or the current release of Firefox® or Chrome™ to view Help

Windows

Final version: 17.2.3

  • Windows® 7, Windows 8, Windows 8.1, or Windows 10
  • 2.0 GHz or faster processor
  • 300 MB available hard drive space, plus additional space for fonts
  • 1 GB additional hard drive space for font services

    (Requirements will vary for each service; additional fonts are added automatically)

  • Microsoft® .NET Framework version 4.0
  • An Internet connection and Internet Explorer® 8 or later, Microsoft Edge, or the current release of Firefox or Chrome to view Help

    You need to have Internet Explorer installed in order for Suitcase Fusion 6’s QuickComp, Web View, and auto-updater functionality to work properly. It does not need to be your default browser.

Supported Applications

Suitcase Fusion 6 includes auto-activation plug-in support for the following applications:

  • Adobe® Illustrator® Creative Suite® 5, CS5.1, CS6, Creative Cloud®, CC 2014, and CC 2015
  • Adobe InCopy® CS5, CS5.5, CS6, Creative Cloud, CC 2014, and CC 2015
  • Adobe InDesign® CS5, CS5.5, CS6, Creative Cloud, CC 2014, and CC 2015
  • Adobe Photoshop® CS5, CS5.1, CS6, Creative Cloud, CC 2014, and CC 2015
  • QuarkXPress™ 9, 10, and 2015

In addition to plug-in support, Suitcase Fusion 6 includes the Extensis Font Panel for Adobe Illustrator, InDesign, and Photoshop.

Adobe Flash® Player is required for the Font Panel in CS6.

Further Information

For details about which design applications are supported on which operating systems, see the Suitcase Fusion Support Guide.